#include <iostream>
#include <algorithm>

using namespace std;
//x i y u vidu nizova
int x[9], y[9];

int main()
{
    //brojaci koliko ima cifara broj x i y i koji je veci
    int cx = 0,cy = 0,cv = 0;
    //x i y pri ulazu
    int xu,yu;
    cin >> xu >> yu;
    for(int i=9; i>0; i--)
    {
        if (xu / 10 != 0)
        {
            x[i]=xu%10;
            xu=xu/10;
            cx++;
        }
        else{
            x[i]=xu%10;
            xu=xu/10;
            cx++;
            i=0;
        }
    }
    for(int i=9; i>0; i--)
    {
        if (yu / 10 != 0)
        {
            y[i]=yu%10;
            yu=yu/10;
            cy++;
        }
        else{
            y[i]=yu%10;
            yu=yu/10;
            cy++;
            i=0;
        }
    }
    cv = max(cx,cy);
    for(int i=9; i>9-cv; i--)
    {
        if(x[i] >= y[i])
        {
            cout << x[i];
        }
        else
        {
            cout << y[i];
        }
    }
    return 0;
}